/***
* Mouse.ch
*
* Constants for use with the mouse interface
*
*/

// Commands ...
/*
#define M_RESET       0   // Reset mouse driver and return
                          // status
                          // AX has status, -1 if hardware and software
                          // installed, 0 if not installed.  BX has
                          // number of buttons

#define M_SHOW        1   // Make mouse cursor visible

#define M_REMOVE      2   // Hide mouse cursor

#define M_READ        3   // Get button status and mouse position
                          // BX has button status, bit 0 left button,
                          // bit 1 right button.  bits are 0 if
                          // corresponding button up, 1 if down

#define M_SET_CURS    4   // Set cursor position.

#define M_MOTION     11   // return horizontal and vertical movement
                          // since last call to this function.

// 2 constants use to translate between mickeys and text mode

#define M_CURS_WIDTH  8   // number of 'mickeys' horizontally
                          // per text character

#define M_CURS_HEIGHT 8   // number of 'mickeys' vertically
                          // per text character

// An array of zeroes to assign to a register structure
#define ZERO_REGS    {0, 0, 0, 0, 0, 0, 0}

#define MOUSE_INT    51   // 0x33, mouse interrupt vector.
*/

// MouseRead fills in an array of 4 elements, defined by
// the following manifest constants

#define M_LEFT_PRESSED   1
#define M_RIGHT_PRESSED  2
#define M_ROW            3
#define M_COL            4
#define M_SIZE_ARRAY     M_COL

#define MOUSE_DOWN(aInfo) (aInfo[M_LEFT_PRESSED] .OR. aInfo[M_RIGHT_PRESSED])

#xtranslate Scroll([<parms,...>])     => MScroll(<parms>)
#xtranslate SetMode([<parms,...>])    => MSetMode(<parms>)
#xtranslate SaveScreen([<parms,...>]) => MSaveScreen(<parms>)
#xtranslate RestScreen([<parms,...>]) => MRestScreen(<parms>)
#xtranslate DevOut([<parms,...>])     => MDevOut(<parms>)
#xtranslate QOut([<parms,...>])       => MQout(<parms>)
