/***
* Mtest.prg
*
* Test program illustrating use of MouseRead()
* Don't worry about the flickering mouse. It's there because we
* are continually writing to the screen which we do by first
* turning the mouse off, then on again.
*/

#include "Inkey.ch"
#include "Mouse.ch"
#include "Commands.ch"

FUNCTION Mtest

LOCAL nButtons
LOCAL aMouse := Array(M_SIZE_ARRAY)
LOCAL nKey

  IF !MouseInit(@nButtons)
    ? "Mouse not installed"
    QUIT
  ENDIF
  MouseOn()

  PrepareScreen(nButtons)

  DO WHILE (nKey := Inkey()) != K_ESC
    MouseRead(aMouse)
    UpdateScreen(aMouse)
  ENDDO

RETURN NIL


FUNCTION PrepareScreen(nButtons)

LOCAL i, nRows

  CLEAR SCREEN
  SET CURSOR OFF

  nRows := MaxRow()
  FOR i := 0 TO nRows
    @ i, 0 SAY i
  NEXT

  @ MaxRow() - 1, 10 SAY "Left Right Row Col " + ;
    Trim(Str(nButtons)) + " button mouse"

RETURN NIL


FUNCTION UpdateScreen(aMouse)

  @ MaxRow(), 10 SAY LTOC(aMouse[M_LEFT_PRESSED])  + "    "  + ;
                     LTOC(aMouse[M_RIGHT_PRESSED]) + "     " + ;
                     Str(aMouse[M_ROW], 3) + " " + Str(aMouse[M_COL], 3)

RETURN NIL
