/***
* Mtest1.prg
*
* Test program illustrating use of WaitEvent()
*/

#include "Inkey.ch"
#include "Mouse.ch"
#include "Events.ch"
#include "Commands.ch"

FUNCTION Mtest1

LOCAL nButtons
LOCAL aEvent

  IF !MouseInit(@nButtons)
    ? "Mouse not installed"
    QUIT
  ENDIF
  MouseOn()

  PrepareScreen(nButtons)

  REPEAT
    aEvent := WaitEvent()
    UpdateScreen(aEvent)
  UNTIL aEvent[EV_TYPE] == EV_KEY .AND. aEvent[EV_KEY_VAL] == K_ESC

RETURN NIL


FUNCTION PrepareScreen(nButtons)

LOCAL i, nRows

  CLEAR SCREEN
  SET CURSOR OFF

  nRows := MaxRow()
  FOR i := 0 TO nRows
    @ i, 0 SAY i
  NEXT

  @ MaxRow() - 1, 10 SAY "Dbl Sgl Row Col Key" + ;
    Trim(Str(nButtons)) + " button mouse"

RETURN NIL


FUNCTION UpdateScreen(aEvent)

  IF aEvent[EV_TYPE] == EV_KEY
    @ MaxRow(), 10 SAY "                " + LTrim(Str(aEvent[EV_KEY_VAL]))
  ELSE
    IF aEvent[EV_TYPE] == EV_SGL_CLICK
      @ MaxRow(), 10 SAY "    " + ".T."
    ELSE
      @ MaxRow(), 10 SAY ".T." + "    "
    ENDIF
    @ MaxRow(), Col() + 1 SAY ;
      Str(aEvent[EV_ROW], 3) + " " + Str(aEvent[EV_COL], 3)
  ENDIF

RETURN NIL
